class LengthResult:

    def __init__(self, length, frequencies, delta_sequ):
        self.length = length
        self.frequencies = frequencies
        self.delta_sequ = delta_sequ

    def __str__(self):
        return "Length: {}, Frequencies: {}, Delta-sequ: {}".format(self.length, self.frequencies, self.delta_sequ)
    def __repr__(self):
        return self.__str__()


def refineFrequencies(deltaSequence):
    frequencies = {}
    for delta in deltaSequence:
        if delta in frequencies.keys():
            frequencies[delta] += 1
        else:
            frequencies[delta] = 1
    return frequencies


