import numpy as np

from patternLength import Pattern


def applyPattern(pattern, X, np_hack=False):
    assert(isinstance(pattern, Pattern))
    Z = np.zeros(len(X), dtype=int)

    X = np.array(X)


    for i in range(len(X)):
        # check pattern
        patternFound = True
        try:
            for j in range(len(pattern.pattern)):
                if pattern.pattern[j] != X[i+j]:
                    patternFound = False
                    break
        except IndexError:
            patternFound = False
        if patternFound:
            Z[i + len(pattern.pattern)-1] = 1

    if np_hack:
        return Z
    else:
        return list(Z)
