import argparse
import os

import x_input

if __name__ == '__main__':
    parser = argparse.ArgumentParser()
    x_in = x_input.loadInput(parser, result=False)
    folder = os.path.splitext(x_in.args.input_file)[0]
    print(folder)
    os.mkdir(folder)

    data_file = open(os.path.join(folder,'python_input.txt'), 'w+')
    data_file.write('# Data specified by: {} \n'.format(x_in.args.input_file))
    data_file.write(str(list(x_in.Y))[1:-1])
    data_file.write('\n')
    Xstr = ''
    for x in x_in.X:
        Xstr += str(x) + ','
    data_file.write(Xstr[:-1])
    data_file.write('\n')
    data_file.flush()
    data_file.close()

    cpp_input = open(os.path.join(folder, 'cpp_input.txt'), 'w+')
    for x in x_in.X:
        cpp_input.write(str(x) + " ")
    cpp_input.write("-1\n")
    index = 0 ;
    for y in x_in.Y:
        if y ==1:
            cpp_input.write(str(index) + " ");
        index += 1
    cpp_input.flush()
    cpp_input.close()

    pattern_files = open(os.path.join(folder,'planted_patterns.txt'), 'w+')

    for pattern, delta_sequ in x_in.sample_results[1].items():
        for p in pattern:
            pattern_files.write('{},'.format(p))
        pattern_files.write('\t')
        pattern_files.write(str(delta_sequ)[1:-1])
        pattern_files.write('\n')

    pattern_files.flush()
    pattern_files.close()




