import argparse
import os

from experiment_helper.data_choper import pick_n_before_ie, enumerate_and_save

from x_input import loadInput

if __name__ == '__main__':
    parser = argparse.ArgumentParser()

    parser.add_argument('-w', type=int)

    x_in = loadInput(parser)
    class0, class1 = pick_n_before_ie(x_in.X, x_in.Y, x_in.args.w)

    enumerate_and_save(class0, os.path.join(x_in.args.result_folder, 'class0.txt'))
    enumerate_and_save(class1, os.path.join(x_in.args.result_folder, 'class1.txt'))

